# Fluid Dynamics of the Central Nervous System SNF 213535 

This is the main repository of the Sinergia project: Fluid Dynamics of the Central Nervous System

Link to the website: https://snf_213535.pages.uzh.ch/fdcns

Project entry in SNF data base: https://data.snf.ch/grants/grant/213535



## Instructions for content editors 

Access and edit the content in the folder 'webpage_contents' 



### Repository organization 
The main files and folders are the following: 

``` 
fdcns/                            # Repository
│
├── .gitlab-ci.yml                # (fixed name) Has the script that will render the site with any change in the repo. 
├── images                        # contains logos, images, etc used in the main site 
│
├── webpage_contents/             #  All editable content and website settings, lay-out etc
│   ├── _quarto.yml               # Settings defining navigation bar titles among other layout features
│   ├── index.qmd                 # Main landing page 
│   ├── pages_*.qmd               # Other pages that will appear in the main site
│   ├── webpage_contents.Rproj    # Recommended file for working with R locally
│   │
│   └── publications/             # >> Each page can be a self-contained folder with a qmd and related images or data
│       │   └── *.qmd             # The publication content
│       │
│       ├──  Working Packages/    
│       │      └── OpenResearchData/    #An example of a blog page. Each entry is 'self contained'
│       │               ├── index.qmd   # Landing page with list of all blog entries in the folder (Quarto 'Listing')
│       │               │
│       │               └── posts/
│       │                     ├── 2024-01-18-entryTitle/ 
│       │                     │     ├── .jpg,.png,.csv, etc   #resources for this entry, either in a folder or as files 
│       │                     │     └── index.qmd
│       │                    ... 
│       └──  ...  
│ 
├+ ── _site    # If rendered locally this folder is created with the html files. It will be .gitignore when pushing changes to remote 
│
└──public                  # .gitlab-ci.yml renders the site and copis into 'public'. Folder name required by Gitlab Pages
   │                       # [CI alert!] the content of 'public' can be seen in Gitlab Build/Artifact, not in the main repo view
   │                       # [NOTE: although named 'public' it can be set in a private repository and thus protected]
   └── .nojekyll           # (empty) file required by Gitlab pages if not using jekyll                      
``` 


